Bug 906753 - Remove the bogus Wants=ntp-wait.service
Summary: Remove the bogus Wants=ntp-wait.service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ntp
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-01 11:50 UTC by Harald Reindl
Modified: 2013-04-20 20:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-20 20:19:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Harald Reindl 2013-02-01 11:50:04 UTC
/usr/lib/systemd/system/ntpd.service
Wants=ntp-wait.service

there is no "ntp-wait.service" in F18

so what about read /var/log/messages after boot?

Comment 1 Miroslav Lichvar 2013-02-01 12:02:21 UTC
The service is in the ntp-perl subpackage. What messages do you see?

Comment 2 Harald Reindl 2013-02-01 12:23:18 UTC
a logical one for a Wants=non-existing-unit

Feb  1 13:22:33 testserver systemd[1]: Cannot add dependency job for unit ntp-wait.service, ignoring: Unit ntp-wait.service failed to load: No such file or directory. See system logs and 'systemctl status ntp-wait.service' for details.

Comment 3 Joel Uckelman 2013-03-04 23:30:45 UTC
Before installing ntp-perl, I was getting this in /var/log/messages:

Mar  4 23:54:59 athena systemd[1]: Cannot add dependency job for unit ntp-wait.s
ervice, ignoring: Unit ntp-wait.service failed to load: No such file or director
y. See system logs and 'systemctl status ntp-wait.service' for details.
Mar  4 23:54:59 athena systemd[1]: Found ordering cycle on basic.target/start
Mar  4 23:54:59 athena systemd[1]: Walked on cycle path to sockets.target/start
Mar  4 23:54:59 athena systemd[1]: Walked on cycle path to dbus.socket/start
Mar  4 23:54:59 athena systemd[1]: Walked on cycle path to sysinit.target/start
Mar  4 23:54:59 athena systemd[1]: Walked on cycle path to auditd.service/start
Mar  4 23:54:59 athena systemd[1]: Walked on cycle path to readahead-sort.servic
e/start
Mar  4 23:54:59 athena systemd[1]: Walked on cycle path to basic.target/start
Mar  4 23:54:59 athena systemd[1]: Breaking ordering cycle by deleting job dbus.
socket/start

systemd deciding that dbus is the service not to start to break the cycle makes loads of other things fail.

I don't understand why, but installing ntp-perl resolved *both* problems. I had no cycle messages and a normal boot after that.

Comment 4 Harald Reindl 2013-03-05 00:10:40 UTC
there is no need to install ANYTHING
"Wants=ntp-wait.service" is simply bogus and not needed and
i am tired to fix the systemd-unit on each and every install

Comment 5 Ken Stailey 2013-03-10 00:19:44 UTC
(In reply to comment #3)
> I don't understand why, but installing ntp-perl resolved *both* problems. I
> had no cycle messages and a normal boot after that.

It "resolved" it by creating
/usr/lib/systemd/system/ntp-wait.service

which 

Wants=ntp-wait.service

in

/etc/systemd/system/multi-user.target.wants/ntpd.service

is requesting.

This is so fundementally broken.  An uninstalled optional package should not cause mandatory error messages.

There should be some way to specify

If-installed ntp-wait then Wants=ntp-wait.service

Comment 6 Fedora Update System 2013-04-02 17:57:12 UTC
ntp-4.2.6p5-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ntp-4.2.6p5-11.fc19

Comment 7 Fedora Update System 2013-04-02 19:17:53 UTC
Package ntp-4.2.6p5-11.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ntp-4.2.6p5-11.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4660/ntp-4.2.6p5-11.fc19
then log in and leave karma (feedback).

Comment 8 Harald Reindl 2013-04-04 11:53:18 UTC
if i report abug for F18 it is NOT HELPFUL to get notified about F19/Rawhide-Updates while the problem on the reported version still exists

Comment 9 Ken Stailey 2013-04-04 12:32:13 UTC
It's pretty much normal on any large development system to put the patch for testing where it could cause the least damage first, i.e. the bleeding-edge development system and later put it into production releases.

Is there a fast way to get an F19?  Buntutu has TestDrive.
https://launchpad.net/testdrive
https://www.google.com/search?q=ubuntu+testdrive

Comment 10 Harald Reindl 2013-04-04 12:48:32 UTC
it's pretty much normal that the reporter is the first person who is willing to test and he is only willing to test or even only able to test for the release he has reported for, if not we would not need to select the release in the bugreport

that is what updates-testing and scratch-builds are for

notify me that a test-version exists for a distribution release which does not run on my machines and for which i had not reported the bug at least without having a F18 build within two days after the F19 one is a spit in the reporters face

Comment 11 Ken Stailey 2013-04-04 13:25:51 UTC
I'm sorry to hear of your suffering and of the offense you perceive against you.  Personally I doubt the the F19 release is a vendetta against you, just workflow procedures.

I am willing to test but it may be a bit before I have an F19.  I was considering trying EC2 but that will have to wait as well until at least the weekend.

Comment 12 Ken Stailey 2013-04-06 15:03:01 UTC
Works for me.

$ uname -rv
3.9.0-0.rc5.git1.301.fc19.x86_64 #1 SMP Tue Apr 2 20:37:45 UTC 2013
$ lsb_release -d
Description:	Fedora release 19 (Schrödinger’s Cat)

No ntp-perl RPM installed:

$ rpm -qa | grep ntp
ntp-4.2.6p5-11.fc19.x86_64
fontpackages-filesystem-1.44-7.fc19.noarch
ntpdate-4.2.6p5-11.fc19.x86_64
$

ntpd is running:

$ sudo systemctl status ntpd
ntpd.service - Network Time Service
	  Loaded: loaded (/usr/lib/systemd/system/ntpd.service; disabled)
	  Active: active (running) since Sat 2013-04-06 10:55:39 EDT; 5min ago
	 Process: 1464 ExecStart=/usr/sbin/ntpd -u ntp:ntp $OPTIONS (code=exited, status=0/SUCCESS)
	Main PID: 1465 (ntpd)
	  CGroup: name=systemd:/system/ntpd.service
		  └─1465 /usr/sbin/ntpd -u ntp:ntp -g

None of the error messages seen on F18:

$ sudo grep -c ntp /var/log/messages 
20
$ sudo egrep -c 'Cannot|Walked' /var/log/messages 
0

Comment 13 Fedora Update System 2013-04-20 20:19:21 UTC
ntp-4.2.6p5-11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.